package com.ruoyi.ss.storeApply.mapper;

import com.ruoyi.ss.storeApply.domain.StoreApply;
import com.ruoyi.ss.storeApply.domain.StoreApplyQuery;
import com.ruoyi.ss.storeApply.domain.StoreApplyVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 店铺审核Mapper接口
 *
 * @author ruoyi
 * @date 2024-08-03
 */
public interface StoreApplyMapper
{
    /**
     * 查询店铺审核
     *
     * @param id 店铺审核主键
     * @return 店铺审核
     */
    public StoreApplyVO selectStoreApplyById(Long id);

    /**
     * 查询店铺审核列表
     *
     * @param query 店铺审核
     * @return 店铺审核集合
     */
    public List<StoreApplyVO> selectStoreApplyList(@Param("query")StoreApplyQuery query);

    /**
     * 新增店铺审核
     *
     * @param storeApply 店铺审核
     * @return 结果
     */
    public int insertStoreApply(StoreApply storeApply);

    /**
     * 修改店铺审核
     *
     * @param storeApply 店铺审核
     * @return 结果
     */
    public int updateStoreApply(@Param("data") StoreApply storeApply);

    /**
     * 删除店铺审核
     *
     * @param id 店铺审核主键
     * @return 结果
     */
    public int deleteStoreApplyById(Long id);

    /**
     * 批量删除店铺审核
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteStoreApplyByIds(Long[] ids);

    /**
     * 条件更新
     */
    int updateByQuery(@Param("data") StoreApply data, @Param("query") StoreApplyQuery query);

    /**
     * 查询一个
     */
    StoreApplyVO selectOne(@Param("query") StoreApplyQuery query);

    /**
     * 查询数量
     */
    int selectCount(@Param("query") StoreApplyQuery query);
}
